package yangtz.cs.liu.campus.mapper.fudao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import yangtz.cs.liu.campus.domain.fudao.FudaoTeacher;
import yangtz.cs.liu.campus.vo.fudao.FudaoTeacherVo;

import java.util.List;


@Mapper
public interface FudaoTeacherMapper extends BaseMapper<FudaoTeacher> {
    List<FudaoTeacherVo> querylist(FudaoTeacherVo fudaoTeacherVo);

    FudaoTeacherVo selectTutorAwardById(Long id);

    public int add(FudaoTeacher fudaoTeacher);

    public int deleteByIds(Long[] ids);
    public int deleteids(Long[] ids);

    public int updatefudao(FudaoTeacher fudaoTeacher);
}
